# modules/msd/STM32F10x/msd_bot.h File Reference

## Data Structures
struct | _Bulk_Only_CBW
struct | _Bulk_Only_CSW
## Defines
#define | BOT_IDLE 0
#define | BOT_DATA_OUT 1
#define | BOT_DATA_IN 2
#define | BOT_DATA_IN_LAST 3
#define | BOT_CSW_Send 4
#define | BOT_ERROR 5
#define | BOT_CBW_SIGNATURE 0x43425355
#define | BOT_CSW_SIGNATURE 0x53425355
#define | BOT_CBW_PACKET_LENGTH 31
#define | CSW_DATA_LENGTH 0x000D
#define | CSW_CMD_PASSED 0x00
#define | CSW_CMD_FAILED 0x01
#define | CSW_PHASE_ERROR 0x02
#define | SEND_CSW_DISABLE 0
#define | SEND_CSW_ENABLE 1
#define | DIR_IN 0
#define | DIR_OUT 1
#define | BOTH_DIR 2
## Typedefs
typedef struct _Bulk_Only_CBW | Bulk_Only_CBW
typedef struct _Bulk_Only_CSW | Bulk_Only_CSW
## Functions
void | MSD_Mass_Storage_In (void)
void | MSD_Mass_Storage_Out (void)
void | MSD_CBW_Decode (void)
void | MSD_Transfer_Data_Request (uint8_t *Data_Pointer, uint16_t Data_Len)
void | MSD_Set_CSW (uint8_t CSW_Status, uint8_t Send_Permission)
void | MSD_Bot_Abort (uint8_t Direction)
## Variables
uint8_t | MSD_Bot_State
uint8_t | MSD_Bulk_Data_Buff [MSD_BULK_MAX_PACKET_SIZE]
uint16_t | MSD_Data_Len
Bulk_Only_CBW | MSD_CBW
Bulk_Only_CSW | MSD_CSW

## Define Documentation

#define BOT_CBW_PACKET_LENGTH 31

#define BOT_CBW_SIGNATURE 0x43425355

#define BOT_CSW_Send 4

#define BOT_CSW_SIGNATURE 0x53425355

#define BOT_DATA_IN 2

#define BOT_DATA_IN_LAST 3

#define BOT_DATA_OUT 1

#define BOT_ERROR 5

#define BOT_IDLE 0

#define BOTH_DIR 2

#define CSW_CMD_FAILED 0x01

#define CSW_CMD_PASSED 0x00

#define CSW_DATA_LENGTH 0x000D

#define CSW_PHASE_ERROR 0x02

#define DIR_IN 0

#define DIR_OUT 1

#define SEND_CSW_DISABLE 0

#define SEND_CSW_ENABLE 1

## Typedef Documentation

typedef struct _Bulk_Only_CBW Bulk_Only_CBW

typedef struct _Bulk_Only_CSW Bulk_Only_CSW

## Function Documentation

void MSD_Bot_Abort | ( | uint8_t | Direction | ) |

void MSD_CBW_Decode | ( | void |  | ) |

Here is the call graph for this function:

void MSD_Mass_Storage_In | ( | void |  | ) |

Here is the call graph for this function:

void MSD_Mass_Storage_Out | ( | void |  | ) |

Here is the call graph for this function:

void MSD_Set_CSW | ( | uint8_t | CSW_Status,
|  | uint8_t | Send_Permission |
| ) |  |  |

void MSD_Transfer_Data_Request | ( | uint8_t * | Data_Pointer,
|  | uint16_t | Data_Len |
| ) |  |  |

## Variable Documentation

uint8_t MSD_Bot_State

uint8_t MSD_Bulk_Data_Buff[MSD_BULK_MAX_PACKET_SIZE]

Bulk_Only_CBW MSD_CBW

Bulk_Only_CSW MSD_CSW

uint16_t MSD_Data_Len